## debhelper 9.20120909~bpo60+1~nd60+1

=== debian/changelog ===
debhelper (9.20120909~bpo60+1~nd60+1) squeeze; urgency=low

  * Backported for squeeze.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Fri, 11 Oct 2013 16:15:01 -0400

debhelper (9.20120909~bpo60+1) squeeze-backports; urgency=low

  * Rebuild on squeeze-backports.

  * Revert changes not suitable for Squeeze:
    - "dh_installcatalogs: Adjust catalog conffile conversion to avoid
      dpkg conffile prompt when upgrading from a removed package."
      introduced in 9.20120830. This version is then affected by: #81194

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Nov 2012 11:48:38 +0100

debhelper (9.20120909) unstable; urgency=low

  * autoscript() can now be passed a perl sub to run to s/// lines of
    the script, which avoids problems with using sed, including potentially
    building too long a sed command-line. This will become the recommended
    interface in the future; for now it can be used by specific commands
    such as dh_installxmlcatalogs that encounter the problem.
    Closes: #665296 Thanks, Marcin Owsiany
  * Updated Spanish man page translation. Closes: #686291
  * Updated German man page translation. Closes: #685538
  * Updated French man page translation. Closes: #685560

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2012 12:54:06 -0400

debhelper (9.20120830) unstable; urgency=low

  * dh_installcatalogs: Adjust catalog conffile conversion to avoid
    dpkg conffile prompt when upgrading from a removed package.
    Closes: #681194

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Aug 2012 11:04:10 -0400

debhelper (9.20120608~bpo60+1) squeeze-backports; urgency=low

  * Rebuild on squeeze-backports.

  * Revert changes not suitable for Squeeze:
    - "dh_builddeb: Build udebs with xz compression, level 1, extreme
      strategy." introduced in 9.20120513.
    - "Fix versioned dependency on dpkg for xz options." introduced in
      9.20120518. This version is then affected by: #672895.
    - "Set Multi-Arch: foreign." introduced in 9.20120523. This version
      is then affected by: #674193.
    - "dh_installcatalogs: Turn /etc/sgml/$package.cat into conffiles
      and introduce dependency on trigger-based sgml-base." introduced
      in 9.20120528. This version is then affected by: #477751.

 -- Didier Raboud <odyx@debian.org>  Fri, 06 Jul 2012 10:47:08 -0600

debhelper (9.20120419~bpo60+1) squeeze-backports; urgency=low

  * Rebuild on squeeze-backports.

  * Automake 1.11.2 is not available in squeeze nor squeeze-backports; hence:
    - Revert "dh_auto_install: Set AM_UPDATE_INFO_DIR=no to avoid automake
      generating an info dir file.", introduced in 9.20120311. This version is
      then affected by #634741.
    - Revert "Conflict with too old automake for AM_UPDATE_INFO_DIR=no.",
      introduced in 9.20120410. This version is then affected by #666901.

 -- Didier Raboud <odyx@debian.org>  Tue, 01 May 2012 11:18:02 +0200

debhelper (9.20120115~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports without new changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Feb 2012 14:56:17 +0100

debhelper (8.9.13~bpo60+1) squeeze-backports; urgency=low

  [ Didier Raboud ]
  * Rebuild on squeeze-backports.
  * Include proposed change by Joey Hess to help backporting multiarch'ed
    packages.

  [ Joey Hess ]
  * Unconditionally disable multiarch libdir and libexecdir specific
    parameters.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Dec 2011 20:11:19 +0100

debhelper (8.9.11~bpo60+1) squeeze-backports; urgency=low

  * Rebuild on squeeze-backports.
  * Revert "dh_strip: In v9, pass --compress-debug-sections to objcopy."
    introduced in 8.9.10.

 -- Didier Raboud <odyx@debian.org>  Sun, 27 Nov 2011 14:39:48 +0100

debhelper (8.9.9~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports without new changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 15 Nov 2011 13:47:19 +0100

debhelper (8.9.8~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports without new changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 13 Oct 2011 15:44:04 +0200

debhelper (8.9.7~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports without new changes needed.

 -- Didier Raboud <odyx@debian.org>  Mon, 26 Sep 2011 14:02:27 +0200

debhelper (8.9.3~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports, without new changes neeeded.

 -- Didier Raboud <odyx@debian.org>  Wed, 03 Aug 2011 22:46:59 +0200

debhelper (8.9.0~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports, without new changes neeeded.

 -- Didier Raboud <odyx@debian.org>  Wed, 20 Jul 2011 21:32:36 +0200

=== debian/control ===
Source: debhelper
Section: devel
Priority: optional
Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
X-Original-Maintainer: Joey Hess <joeyh@debian.org>
Uploaders: Didier Raboud <odyx@debian.org>
Build-Depends: po4a (>= 0.24)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
Homepage: http://kitenet.net/~joey/code/debhelper/

Package: debhelper
Architecture: all
Depends: neurodebian-popularity-contest, ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
Suggests: dh-make
Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
Description: helper programs for debian/rules
 A collection of programs that can be used in a debian/rules file to
 automate common tasks related to building debian packages. Programs
 are included to install various files into your package, compress 
 files, fix file permissions, integrate your package with the debian 
 menu system, debconf, doc-base, etc. Most debian packages use debhelper
 as part of their build process.

## debhelper 9.20120909~bpo60+1

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Joey Hess <joeyh@debian.org>
 Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: po4a (>= 0.24)
 Standards-Version: 3.9.3
@@ -12,7 +11,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: neurodebian-popularity-contest, ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
 Description: helper programs for debian/rules

## debhelper 9.20120909~pgdg10.04+1

=== debian/changelog ===
debhelper (9.20120909~pgdg10.04+1) lucid-pgdg; urgency=low

  * Rebuild for lucid-pgdg.

  Revert:
  * dh_builddeb: Build udebs with xz compression, level 1, extreme strategy.
    This has been chosen to not need any more memory or cpu when uncompressing,
    while yeilding the best compressions for udebs. Thanks, Philipp Kern.
  * Depend on a new enough dpkg for above features. Backporters will need
    to revert these changes.

  Revert:
  * dh_strip: In v9, pass --compress-debug-sections to objcopy.
    Needs a new enough binutils and gdb; debhelper backport
    may need to disable this.
    Thanks, Aurelien Jarno and Bastien ROUCARIES. Closes: #631985

  Revert:
  * Depend on dpkg-dev (>= 1.16.0) for multiarch support. Note to backporters:
    If you remove that dependency, debhelper will fall back to not doing
    multiarch stuff in v9 mode, which is probably what you want.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Sep 2013 16:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: devel
 Priority: optional
 Maintainer: Joey Hess <joeyh@debian.org>
-Uploaders: Didier Raboud <odyx@debian.org>
 Build-Depends: po4a (>= 0.24)
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
@@ -11,9 +10,10 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg-dev (>= 1.14.19), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
+Multi-Arch: foreign
 Description: helper programs for debian/rules
  A collection of programs that can be used in a debian/rules file to
  automate common tasks related to building debian packages. Programs

## debhelper 9.20120909~pgdg12.04+1

=== debian/changelog ===
debhelper (9.20120909~pgdg12.04+1) precise-pgdg; urgency=low

  * Rebuild for precide-pgdg.

  Revert:
  * dh_builddeb: Build udebs with xz compression, level 1, extreme strategy.
    This has been chosen to not need any more memory or cpu when uncompressing,
    while yeilding the best compressions for udebs. Thanks, Philipp Kern.
  * Depend on a new enough dpkg for above features. Backporters will need
    to revert these changes.

 -- Christoph Berg <myon@debian.org>  Mon, 23 Sep 2013 16:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.0), dpkg-dev (>= 1.16.0), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
 Multi-Arch: foreign

## debhelper 9.20120909

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.0), dpkg-dev (>= 1.16.0), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.16.2), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
 Multi-Arch: foreign

## debhelper 9.20120909ubuntu1

=== debian/changelog ===
debhelper (9.20120909ubuntu1) raring; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit: Add --upstart-only and --onlyscripts-upstart modes.
    - continue to use /lib/init/upstart-job symlinks in Ubuntu, since
      insserv is not yet usable with upstart.
    - Add autoscripts for above: postinst-upstart-replace,
      preinst-removeconffile.
    - autoscripts/postinst-init, autoscripts/postinst-init-restart: Only
      call update-rc.d when there's no upstart job.
    - autoscripts/postinst-init-nostart: also handle the upstart case;
      otherwise we call update-rc.d to add, and again to remove!
    - dh_installudev: Change default init.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 07 Nov 2012 13:12:10 -0700

debhelper (0.5) unstable; urge

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Joey Hess <joeyh@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24)
 Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
@@ -10,7 +11,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.16.2), html2text, binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.16.2), html2text, binutils, po-debconf, man-db (>= 2.5.1-1), dh-apparmor
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
 Multi-Arch: foreign

## debhelper 9.20130516+ab1

=== Makefile ===
# List of files of dh_* commands. Sorted for debhelper man page.
COMMANDS=$(shell find . -maxdepth 1 -type f -perm /100 -name "dh_*" -printf "%f\n" | sort)

# Find deprecated commands by looking at their synopsis.
DEPRECATED=$(shell egrep -l '^dh_.* - .*deprecated' $(COMMANDS))

# This generates a list of synopses of debhelper commands, and substitutes
# it in to the #LIST# line on the man page fed to it on stdin. Must be passed
# parameters of all the executables or pod files to get the synopses from.
# For correct conversion of pod tags (like S< >) #LIST# must be substituted in
# the pod file and not in the troff file.
MAKEMANLIST=perl -e ' \
		undef $$/; \
		foreach (@ARGV) { \
		        open (IN, $$_) or die "$$_: $$!"; \
		        $$file=<IN>; \
		        close IN; \
		        if ($$file=~m/=head1 .*?\n\n(.*?) - (.*?)\n\n/s) { \
				my $$item="=item $$1(1)\n\n$$2\n\n"; \
				if (" $(DEPRECATED) " !~ / $$1 /) { \
			                $$list.=$$item; \
				} \
				else { \
			                $$list_deprecated.=$$item; \
				} \
		        } \
		} \
		END { \
			while (<STDIN>) { \
		        	s/\#LIST\#/$$list/; \
		        	s/\#LIST_DEPRECATED\#/$$list_deprecated/; \
				print; \
			}; \
		}'

# Figure out the `current debhelper version.
VERSION=$(shell expr "`dpkg-parsechangelog |grep Version:`" : '.*Version: \(.*\)')

PERLLIBDIR=$(shell perl -MConfig -e 'print $$Config{vendorlib}')/Debian/Debhelper

PREFIX=/usr

POD2MAN=pod2man --utf8 -c Debhelper -r "$(VERSION)"

ifneq ($(USE_NLS),no)
# l10n to be built is determined from .po files
LANGS?=$(notdir $(basename $(wildcard man/po4a/po/*.po)))
else
LANGS=
endif

build: version debhelper.7
	find . -maxdepth 1 -type f -perm /100 -name "dh*" \
		-exec $(POD2MAN) {} {}.1 \;
ifneq ($(USE_NLS),no)
	po4a --previous -L UTF-8 man/po4a/po4a.cfg 
	set -e; \
	for lang in $(LANGS); do \
		dir=man/$$lang; \
		for file in $$dir/dh*.pod; do \
			prog=`basename $$file | sed 's/.pod//'`; \
			$(POD2MAN) $$file $$prog.$$lang.1; \
		done; \
		if [ -e $$dir/debhelper.pod ]; then \
			cat $$dir/debhelper.pod | \
				$(MAKEMANLIST) `find $$dir -type f -maxdepth 1 -name "dh_*.pod" | sort` | \
				$(POD2MAN) --name="debhelper" --section=7 > debhelper.$$lang.7; \
		fi; \
	done
endif

version:
	printf "package Debian::Debhelper::Dh_Version;\n\$$version='$(VERSION)';\n1" > \
		Debian/Debhelper/Dh_Version.pm

debhelper.7: debhelper.pod
	cat debhelper.pod | \
		$(MAKEMANLIST) $(COMMANDS) | \
		$(POD2MAN) --name="debhelper" --section=7  > debhelper.7

clean:
	rm -f *.1 *.7 Debian/Debhelper/Dh_Version.pm
	po4a --previous --rm-translations --rm-backups man/po4a/po4a.cfg
	for lang in $(LANGS); do \
		if [ -e man/$$lang ]; then rmdir man/$$lang; fi; \
	done;

install:
	install -d $(DESTDIR)$(PREFIX)/bin \
		$(DESTDIR)$(PREFIX)/share/debhelper/autoscripts \
		$(DESTDIR)$(PERLLIBDIR)/Sequence \
		$(DESTDIR)$(PERLLIBDIR)/Buildsystem
	install dh $(COMMANDS) $(DESTDIR)$(PREFIX)/bin
	install -m 0644 autoscripts/* $(DESTDIR)$(PREFIX)/share/debhelper/autoscripts
	install -m 0644 Debian/Debhelper/*.pm $(DESTDIR)$(PERLLIBDIR)
	[ "$(PREFIX)" = /usr ] || \
		sed -i '/$$prefix=/s@/usr@$(PREFIX)@g' $(DESTDIR)$(PERLLIBDIR)/Dh_Lib.pm
	install -m 0644 Debian/Debhelper/Sequence/*.pm $(DESTDIR)$(PERLLIBDIR)/Sequence
	install -m 0644 Debian/Debhelper/Buildsystem/*.pm $(DESTDIR)$(PERLLIBDIR)/Buildsystem

test: version
	./run perl -MTest::Harness -e 'runtests grep { ! /CVS/ && ! /\.svn/ && -f && -x } @ARGV' t/* t/buildsystems/*
	# clean up log etc
	./run dh_clean

=== debian/changelog ===
debhelper (9.20130516+ab1) unstable; urgency=low

  * Non-maintainer upload to private archive.
  * dh_installchangelogs: split binNMU entry into an extra file.
    (Closes: #708218)

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 18 May 2013 12:19:32 +0200

debhelper (9.20130516) unstable; urgency=low

  * Revert unsetting INSTALL_BASE. Closes: #708452 Reopens: #705141

 -- Joey Hess <joeyh@debian.org>  Thu, 16 May 2013 18:29:46 -0400

debhelper (9.20130509) unstable; urgency=low

  * dh_installinit: Remove obsolete systemd-tempfiles hack in postinst
    autoscript. Closes: #707159
  * dh_installinfo: Stop inserting dependencies for partial upgrades
    from lenny to squeeze. Closes: #707218
  * dh_compress, dh_perl: Avoid failing if the package build directory does
    not exist. (Audited all the rest.)
  * dh: As a workaround for anything not in debhelper that may rely
    on debhelper command that is now skipped creating the package build
    directory as a side effect, the directory is created when a command
    is skipped. This workaround is disabled in compat level 10.
    Closes: #707336
  * dh_auto_install: Create package build directory for those packages
    whose makefile falls over otherwise. Closes: #707336

 -- Joey Hess <joeyh@debian.org>  Thu, 09 May 2013 10:34:56 -0400

debhelper (9.20130507) unstable; urgency=low

  * dh: Skips running commands that it can tell will do nothing.
    Closes: #560423
    (Commands that can be skipped are determined by the presence of
    PROMISE directives within commands that provide a high-level
    description of the command.)
  * perl_makemaker: Unset INSTALL_BASE in case the user has it set.
    Closes: #705141
  * dh_installdeb: Drop pre-dependency on dpkg for dpkg-maintscript-helper.
    Closes: #703264
  * makefile buildsystem: Pass any parameters specified after -- when
    running make -n to test for the existance of targets.
    In some makefiles, the parameters may be necessary to enable a target.
    Closes: #706923
  * Revert python2.X-minimal fix, because it was buggy.
    Closes: #707111 (Reopens #683557)

 -- Joey Hess <joeyh@debian.org>  Tue, 07 May 2013 13:20:48 -0400

debhelper (9.20130504) unstable; urgency=low

  * dh_shlibdeps: Warn if -V flag is passed, to avoid it accidentially being
    used here rather than in dh_makeshlibs. Closes: #680339
  * dh_lintian: Source overrides doc improvement. Closes: #683941
  * dh_installmime: No longer makes maintainer scripts run update-mime and
    update-mime-database, that is now handled by triggers. Closes: #684689
    Thanks, Charles Plessy
  * python distutils buildsystem: Propagate failure of pyversions.
    Closes: #683551 Thanks, Clint Byrum
  * python distutils buildsystem: When checking if a version of python is
    installed, don't trust the presense of the executable, as
    a python2.X-minimal package may provide it while not having
    distutils installed. Closes: #683557, #690378
  * dh_icons: Improve documentation. Closes: #684895
  * Improve -X documentation. Closes: #686696
  * Support installing multiple doc-base files which use the same doc-id.
    Closes: #525821
  * dh_installdocs: Support having the same document id in different binary
    packages built from the same source.
    Closes: #525821 Thanks, Don Armstrong
  * dh_installdeb: Avoid unnecessary is_udeb tests. Closes: #691398
  * Updated German man page translation. Closes: #691557, #706314
  * dh_installinit: Support systemd.
    Closes: #690399 Thanks, Michael Stapelberg
  * Updated French man page translation. Closes: #692208
  * dh_icons: Reword description. Closes: #693100
  * Avoid find -perm +mode breakage caused by findutils 4.5.11,
    by instead using -perm /mode. Closes: #700200
  * cmake: Configure with -DCMAKE_BUILD_TYPE=RelWithDebInfo
    Closes: #701233
  * dh_auto_test: Avoid doing anything when cross-compiling. Closes: #703262
  * dh_testdir: Fix error message. Closes: #703515

 -- Joey Hess <joeyh@debian.org>  Sat, 04 May 2013 23:32:27 -0400

## debhelper 9.20130630ubuntu1

=== debian/changelog ===
debhelper (9.20130630ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit, autoscripts/postinst-upstart-replace: Prefer upstart
      jobs where they exist.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/postinst-init*: Only call update-rc.d when there's no
      upstart job.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 01 Jul 2013 11:20:37 +0100

debhelper (9.20130630) unstable; urgency=low

  * perl_build: Use -- long option names, for compatibility with
    Module::Build::Tiny. Closes: #714544
    (Thanks, gregor herrmann)

 -- Joey Hess <joeyh@debian.org>  Sun, 30 Jun 2013 14:20:51 -0400

debhelper (9.20130626ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit, autoscripts/postinst-upstart-replace: Prefer upstart
      jobs where they exist.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/postinst-init*: Only call update-rc.d when there's no
      upstart job.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 27 Jun 2013 12:59:50 +0100

debhelper (9.20130626) unstable; urgency=low

  * dh_strip: Run readelf in C locale. Closes: #714187

 -- Joey Hess <joeyh@debian.org>  Wed, 26 Jun 2013 13:37:03 -0400

debhelper (9.20130624) unstable; urgency=low

  * dh_installinit: Use absolute path for systemd tempfiles,
    for compatibility with wheezy's systemd. Closes: #712727
  * makefile buildsystem: Added heuristic to catch false positive in
    makefile target detection code. Closes: #713257
    Nasty make ... why won't it tell us what's in its pocketses?

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Jun 2013 19:28:18 -0400

debhelper (9.20130605) unstable; urgency=low

  * dh_installchangelogs: Fix bug preventing automatic installation of
    upstream changelog. Closes: #711131

 -- Joey Hess <joeyh@debian.org>  Wed, 05 Jun 2013 12:28:51 -0400

debhelper (9.20130604ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit, autoscripts/postinst-upstart-replace: Prefer upstart
      jobs where they exist.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/postinst-init*: Only call update-rc.d when there's no
      upstart job.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jun 2013 11:00:43 +0100

debhelper (9.20130604) unstable; urgency=low

  * dh_installchangelogs: No longer automatically converts html changelogs.
    A plain text version can be provided as a second parameter, or it will
    generate a file with a pointer to the html changelog if not.
    html2text's reign of terror has ended. Closes: #562874
  * Allow building debhelper with USE_NLS=no to not require po4a to build.
    Closes: #709557
  * Correct broken patch for #706923.
    Closes: #707481
  * dh_installinit: Add appropriately versioned file-rc as an alternate
    when adding misc:Depends for an invoke-rc.d that supports upstart
    jobs. Closes: #709482

 -- Joey Hess <joeyh@debian.org>  Tue, 04 Jun 2013 11:27:29 -0400

debhelper (9.20130518ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit, autoscripts/postinst-upstart-replace: Prefer upstart
      jobs where they exist.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/postinst-init*: Only call update-rc.d when there's no
      upstart job.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 04 Jun 2013 11:46:28 +0100

debhelper (9.20130518) unstable; urgency=low

  * dh_installchangelogs: Write the changelog entry used for a binNMU,
    as flagged by binary-only=yes to a separate file, in order to work
    around infelicities in dpkg's multiarch support. Closes: #708218
    (Thanks, Ansgar Burchardt)
  * dh_installinit: Add versioned dependency on sysv-rc
    when shipping upstart jobs. Closes: #708720

 -- Joey Hess <joeyh@debian.org>  Sat, 18 May 2013 10:49:09 -0400

debhelper (9.20120909ubuntu3) saucy; urgency=low



=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.16.2), html2text, binutils, po-debconf, man-db (>= 2.5.1-1), dh-apparmor
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.16.2), binutils, po-debconf, man-db (>= 2.5.1-1), dh-apparmor
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
 Multi-Arch: foreign

## debhelper 9.20131227

=== debian/changelog ===
debhelper (9.20131227) unstable; urgency=medium

  [ Guillem Jover ]
  * dh_shlibdeps: Use new dpkg-shlibdeps -l option instead of LD_LIBRARY_PATH
    Closes: #717505
  * Depend on dpkg-dev (>= 1.17.0), the version that introduced
    dpkg-shlibdeps -l option.

 -- Joey Hess <joeyh@debian.org>  Fri, 27 Dec 2013 21:52:53 -0400

debhelper (9.20131213) unstable; urgency=low

  [ Joey Hess ]
  * cmake: Configure with -DCMAKE_BUILD_TYPE=None
    Closes: #701233

  [ Andreas Beckmann ]
  * dh_installdeb: Add support for dpkg-maintscript-helper commands
    symlink_to_dir and dir_to_symlink that were added in dpkg 1.17.2.
    Closes: #731723

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Dec 2013 14:46:26 -0400

debhelper (9.20131127) unstable; urgency=low

  * dh_compress: Exclude several more compressed file formats.
    Closes: #730483

 -- Joey Hess <joeyh@debian.org>  Wed, 27 Nov 2013 19:19:41 -0400

debhelper (9.20131110) unstable; urgency=low

  * dh_installinit: Revert changes that added versioned dependency on
    sysv-rc to support upstart, which later grew to a versioned dependency
    on sysv-rc | file-rc, and which seems to want to continue growing
    to list other init systems, which there currently seem to be far too
    many of, for far too little benefit.
    The sysv-rc dependency is already met in stable.
    The file-rc dependency is not, so if someone cares about that, they
    need to find a properly designed solution, which this was not.
    Closes: #729248

 -- Joey Hess <joeyh@debian.org>  Sun, 10 Nov 2013 15:23:29 -0400

debhelper (9.20131105) unstable; urgency=low

  * Fix (horrible) make output parsing code to work with make 4.0.
    Closes: #728800 Thanks, Julien Pinon

 -- Joey Hess <joeyh@debian.org>  Tue, 05 Nov 2013 22:17:03 -0400

debhelper (9.20131104) unstable; urgency=low

  [ Joey Hess ]
  * Debhelper is now team maintained. There is a new
    debhelper-devel mailing list which maintainers of other dh_
    commands are encouraged to join also.
    <https://lists.alioth.debian.org/mailman/listinfo/debhelper-devel>
  * dh_installchangelogs: Avoid installing binNMU changelog file
    in --no-act mode. Closes: #726930

  [ Modestas Vainius ]
  * Update dh_installemacsen and related scripts to follow emacs
    policy v2.0 (as of emacsen-common 2.0.5). Closes: #728620

 -- Joey Hess <joeyh@debian.org>  Mon, 04 Nov 2013 15:34:21 -0400

debhelper (9.20130921) unstable; urgency=low

  * dh: Call dh_installxfonts after dh_link, so that it will
    notice fonts installed via symlinks. Closes: #721264
  * Fix FTBFS with perl 5.18. Closes: #722501
  * dh_installchangelogs: Add changelog.md to the list of common
    changelog filenames.

 -- Joey Hess <joeyh@debian.org>  Sat, 21 Sep 2013 13:16:34 -0400

debhelper (9.20130720) unstable; urgency=low

  * dh_python: Removed this deprecated and unused command.
    Closes: #717374
    (Thanks, Luca Falavigna)
  * Type fixes. Closes: #719216
  * dh_installinit: Fix a longstanding accidental behavior that caused
    a file named debian/package to be installed as the init script.
    Only fixed in v10 since packages might depend on this behavior.
    Closes: #719359
  * dh_install, dh_installdocs, dh_clean: Fix uses of find -exec
    which cause it to ignore exit status of the commands run.
    Closes: 719598
  * makefile buildsystem: Tighten heuristic to detect if makefile target
    exists. An error message that some other target does not exist just means
    the makefile spaghetti has problems later on when run with -n,
    but not that the called target didn't exist. Closes: #718121

 -- Joey Hess <joeyh@debian.org>  Tue, 20 Aug 2013 12:46:25 -0400

## debhelper 9.20131227ubuntu1

=== debian/changelog ===
debhelper (9.20131227ubuntu1) trusty; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit, autoscripts/postinst-upstart-replace: Prefer upstart
      jobs where they exist.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/postinst-init*: Only call update-rc.d when there's no
      upstart job.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.
    - preserve the change that adds versioned dependency on sysv-rc to
      support precise->trusty upgrades.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Feb 2014 14:18:57 +0000

debhelper (9.20131127ubuntu2) trusty; urgency=low

  * Revert 9.20131110
  * Additional changes:
    - preserve the change that adds versioned dependency on sysv-rc to
    support precise->trusty upgrades.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 09 Dec 2013 17:13:25 +0000

debhelper (9.20131127ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit, autoscripts/postinst-upstart-replace: Prefer upstart
      jobs where they exist.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/postinst-init*: Only call update-rc.d when there's no
      upstart job.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 09 Dec 2013 12:06:22 +0000

debhelper (9.20130921ubuntu1) trusty; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit, autoscripts/postinst-upstart-replace: Prefer upstart
      jobs where they exist.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/postinst-init*: Only call update-rc.d when there's no
      upstart job.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 09:28:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Joey Hess <joeyh@debian.org>
+XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Uploaders: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
 Homepage: http://kitenet.net/~joey/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.16.2), binutils, po-debconf, man-db (>= 2.5.1-1), dh-apparmor
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.17.0), binutils, po-debconf, man-db (>= 2.5.1-1), dh-apparmor
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f
# If you're looking for an example debian/rules that uses debhelper, see
# the examples directory.
# 
# Each debhelper command in this rules file has to be run using ./run,
# to ensure that the commands and libraries in the source tree are used,
# rather than the installed ones.

%:
	./run dh $@

# Not intended for use by anyone except the author.
announcedir:
	@echo ${HOME}/src/joeywiki/code/debhelper/news

## debhelper 9.20140613ubuntu2

=== debian/changelog ===
debhelper (9.20140613ubuntu2) utopic; urgency=medium

  * Remove ubuntu delta and thus call update-rc.d remove in postrm, upon
    removing init.d scripts even if a matching upstart job is
    present. (LP: #1326327)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 31 Jul 2014 10:02:24 +0100

debhelper (9.20140613ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

  * Drop changes since last merge, due to support init.d scripts and
    upstart jobs co-installation:
    - dh_installinit, autoscripts/postinst-upstart-replace: Prefer upstart
      jobs where they exist.
    - autoscripts/postinst-init*: Only call update-rc.d when there's no
      upstart job.
  
  * Execute po4a man/po4a/po4a.cfg to update manpages.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Jul 2014 18:25:48 +0100

debhelper (9.20140613) unstable; urgency=medium

  * Pass --disable-silent-rules in dh_auto_configure if DH_VERBOSE is set.
    Closes: #751207. Thanks, Helmut Grohne.
  * Minor typos. Closes: #741144, #744176
  * dh_installinit: Fix uninitialized value warning when --name is used.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Jun 2014 11:50:09 -0400

debhelper (9.20140228ubuntu6) utopic; urgency=medium

  * Fix the previous upload, by not calling update-rc.d on packages that
    just have upstart job without init.d.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 29 May 2014 11:50:53 +0100

debhelper (9.20140228ubuntu5) utopic; urgency=medium

  * Enable calling update-rc.d, if an init.d script is installed,
    regardless presence of the upstart jobs. (LP: #1312836)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 11:00:44 +0200

debhelper (9.20140228ubuntu4) utopic; urgency=medium

  * Re-introduce the dh_installinit change but this time depending on
    lsb-base where the hook was moved. This should prevent upgrade breakage.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 27 May 2014 16:21:35 +0200

debhelper (9.20140228ubuntu3) utopic; urgency=medium

  * Revert the last change as it's causing apt upgrade resolution
    failure breaking all buildds.

 -- Stéphane Graber <stgraber@ubuntu.com>  Tue, 27 May 2014 15:37:20 +0200

debhelper (9.20140228ubuntu2) utopic; urgency=medium

  * Add upstart versioned dependency on upstart that provides lsb hook, to
    make sure sourcing lsb init-functions triggers transparent launching
    of the upstart job instead. (LP: #1323274).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 26 May 2014 14:39:04 +0200

debhelper (9.20140228ubuntu1) utopic; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Depend on dh-apparmor.
    - dh_installinit, autoscripts/postinst-upstart-replace: Prefer upstart
      jobs where they exist.
    - autoscripts/preinst-upstart-compatibility: Handle upgrades from older
      versions that created the /lib/init/upstart-job symlink.
    - autoscripts/postinst-init*: Only call update-rc.d when there's no
      upstart job.
    - autoscripts/*-init*: Test for /etc/init/*.conf where necessary.
    - dh_installinit: Add no-op --upstart-only option for compatibility.
    - dh_installudev: Change default rules.d symlink priority to 40.
    - dh_installchangelogs: Do not install upstream changelog in compat
      level 7.  This floods packages with huge upstream changelogs which
      take precious CD space.

  * Drop change required for upgrades to trusty:
    - preserve the change that adds versioned dependency on sysv-rc to
      support precise->trusty upgrades.
  
  * Execute po4a man/po4a/po4a.cfg to update manpages.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 09 May 2014 13:01:47 +0100

debhelper (9.20140228) unstable; urgency=medium

  * Fix breakage in no-act mode introduced in last release.

 -- Joey Hess <joeyh@debian.org>  Fri, 28 Feb 2014 15:02:35 -0400

debhelper (9.20140227) unstable; urgency=medium

  * dh_compress: Avoid compressing .map files, which may be html
    usemaps. Closes: #704443
  * dh_installdocs: When doc dirs are symlinked make the dependency
    versioned per policy. Closes: #676777
  * dh_makeshlibs: Defer propagating dpkg-gensymbols error until
    all packages have been processed. Closes: #736640
  * dh: Reject unknown parameters that are not dashed command-line
    parameters intended to be passed on to debhelper commands.
    Closes: #737635
  * perl_build: Use realclean instead of distclean. Closes: #737662
  * Initial implementation of support for Build-Profiles fields.
    Thanks, Daniel Schepler.
  * dh_gencontrol: Revert change made in version 4.0.13 that avoided
    passing -p to dpkg-gencontrol when only operating on one package.
    There seems to be no benefit to doing that, and it breaks when using
    Build-Profiles, since while debhelper may know a profile only allows
    for one package, dpkg-gencontrol may see other packages in the
    control file.

 -- Joey Hess <joeyh@debian.org>  Thu, 27 Feb 2014 11:49:56 -0400

## debhelper 9.20140817

=== debian/changelog ===
debhelper (9.20140817) unstable; urgency=medium

  * Added Portuguese translation of the man pages, by Américo Monteiro.
    Closes: #758043
  * Updated German translation from Chris Leick.
    Closes: #735610

 -- Joey Hess <joeyh@debian.org>  Sun, 17 Aug 2014 10:42:25 -0400

debhelper (9.20140809) unstable; urgency=medium

  * dh_perl: Add perlapi-* dependency on packages installed to
    $Config{vendorarch} Closes: #751684
  * dh_perl: Use vendorlib and vendorarch from Config instead of
    hardcoding their values. Closes: #750021
  * Typo: Closes: #755237

 -- Joey Hess <joeyh@debian.org>  Sat, 09 Aug 2014 11:24:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debhelper
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
+Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24)
 Standards-Version: 3.9.5
@@ -12,7 +11,7 @@
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.17.0), binutils, po-debconf, man-db (>= 2.5.1-1), dh-apparmor
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.17.0), binutils, po-debconf, man-db (>= 2.5.1-1)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
 Multi-Arch: foreign

## debhelper 9.20141022

=== debian/changelog ===
debhelper (9.20141022) unstable; urgency=low

  * dh_installdeb: Sort conffile list so there is a stable order for
    reproducible builds. Closes: #766384 Thanks, Jérémy Bobbio.

 -- Joey Hess <joeyh@debian.org>  Wed, 22 Oct 2014 14:43:12 -0400

debhelper (9.20141010) unstable; urgency=medium

  [ Johannes Schauer ]
  * Depend on libdpkg-perl (>= 1.17.14) for build profiles support. Note to
    backporters: If you remove that dependency, debhelper will throw an error
    when a binary package stanza in debian/control has the Build-Profiles
    field.
  * Use libdpkg-perl functionality to parse the content of the Build-Profiles
    field, if there is one. In that case, use libdpkg-perl to evaluate whether
    the binary package should be built or not.
    Closes: #763766

 -- Joey Hess <joeyh@debian.org>  Fri, 10 Oct 2014 17:42:56 -0400

debhelper (9.20141003) unstable; urgency=medium

  * dh_clean: Skip over .git, .svn, .bzr, .hg, and CVS directories
    and avoid cleaning their contents. Closes: #760033

 -- Joey Hess <joeyh@debian.org>  Fri, 03 Oct 2014 15:16:00 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debhelper Maintainers <debhelper-devel@lists.alioth.debian.org>
 Uploaders: Joey Hess <joeyh@debian.org>
 Build-Depends: po4a (>= 0.24)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://git.debian.org/git/debhelper/debhelper.git
 Vcs-Browser: http://git.debian.org/?p=debhelper/debhelper.git;a=summary
-Homepage: http://kitenet.net/~joey/code/debhelper/
+Homepage: http://joeyh.name/code/debhelper/
 
 Package: debhelper
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.17.0), binutils, po-debconf, man-db (>= 2.5.1-1)
+Depends: ${perl:Depends}, ${misc:Depends}, file (>= 3.23), dpkg (>= 1.16.2), dpkg-dev (>= 1.17.0), binutils, po-debconf, man-db (>= 2.5.1-1), libdpkg-perl (>= 1.17.14)
 Suggests: dh-make
 Conflicts: dpkg-cross (<< 1.18), python-support (<< 0.5.3), python-central (<< 0.5.6), automake (<< 1.11.2)
 Multi-Arch: foreign

## debhelper 9.20150101

=== debian/changelog ===
debhelper (9.20150101) unstable; urgency=medium

  [ Niels Thykier ]
  * Revert detection of unsafe binNMUs under compat 9 and
    earlier.  It had some false-positives.  (Closes: #773965)

  [ Axel Beckert ]
  * Document that dh_installdocs will error out on --link-doc
    between arch:all and arch:any packages in man 7 debhelper.

 -- Niels Thykier <niels@thykier.net>  Thu, 01 Jan 2015 17:05:01 +0100

debhelper (9.20141222) unstable; urgency=medium

  * Add missing entry about #747141.
  * Fix typo in comment in dh_installman.  Thanks to Raphael
    Geissert for spotting it.  (Closes: #772502)

 -- Niels Thykier <niels@thykier.net>  Mon, 22 Dec 2014 01:02:52 +0100

debhelper (9.20141221) unstable; urgency=medium

  [ Niels Thykier ]
  * New debhelper maintainers.  (Closes: #768507)
    - Add Niels Thykier to uploaders.
  * dh_installdeb: Raise required dpkg version for dir_to_symlink to
    1.17.13 (see #769843, msg #10).  Thanks to Guillem Jover.
  * Refuse to build packages using --link-doc between arch:any and
    arch:all packages (or vice versa) as it results in broken
    packages.
    - In compat 9 or less: Only during an actual binNMU.
    - In compat 10 or newer: Unconditionally.
    (Closes: #747141)

  [ Bernhard R. Link ]
    - Add Bernhard Link to uploaders.

  [ Axel Beckert ]
  * dh_installdeb: Raise required dpkg version for symlink_to_dir to
    1.17.14. It is needed in case of relative symlinks. (Closes: #770245)

 -- Niels Thykier <niels@thykier.net>  Sun, 21 Dec 2014 21:21:18 +0100

debhelper (9.20141107) unstable; urgency=medium

  * I'm leaving Debian, and Debhelper needs a new maintainer.

 -- Joey Hess <joeyh@debian.org>  Fri, 07 Nov 2014 17:15:10 -0400
